Uploaded image for project: 'Struts 2'
  1. Struts 2
  2. WW-3340

ognl-2.7.3 has a blocker issue

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.1.8
    • Fix Version/s: 2.2.1
    • Component/s: None
    • Labels:
      None

      Description

      Because of WW-3197, Struts2 now depends on ognl-2.7.3, which has a blocker issue: http://jira.opensymphony.com/browse/OGNL-149

      Also, xwork-core-2.1.6.jar from the struts-2.1.8.1-all.zip contains javaassist and ognl, so the ognl classes come from 2 jars.

      It also contains relocated classes from commons-lang and asm.

        Attachments

          Activity

            People

            • Assignee:
              lukaszlenart Lukasz Lenart
              Reporter:
              shadow Andrei Ivanov
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: